Bug 427816 - consistency: toggle bluetooth with middle-click on tray icon.
Summary: consistency: toggle bluetooth with middle-click on tray icon.
Status: RESOLVED FIXED
Alias: None
Product: Bluedevil
Classification: Unclassified
Component: system tray (show other bugs)
Version: 5.20.0
Platform: Archlinux Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: David Rosca
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-16 15:58 UTC by Daniel
Modified: 2022-01-13 22:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2020-10-16 15:58:38 UTC
SUMMARY
Currently, you can do quite a bite with a middle click in the sys tray: Muting/unmuting, toggling sound, toggling nightshift, toggling DnD.

It would be useful if you could also toggle the bluetooth state with a middle click on the icon.
Comment 1 Nate Graham 2020-10-26 17:52:05 UTC
A good idea!
Comment 2 Bug Janitor Service 2022-01-11 22:58:33 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/bluedevil/-/merge_requests/68
Comment 3 Nate Graham 2022-01-13 22:27:09 UTC
Git commit b62be918958dddc93f7b4f75b1bbcf80aa6a3da9 by Nate Graham.
Committed on 13/01/2022 at 22:20.
Pushed by ngraham into branch 'master'.

applet: Toggle Bluetooth status on middle-click
FIXED-IN: 5.24

M  +11   -0    src/applet/package/contents/ui/BluetoothApplet.qml
M  +9    -1    src/applet/package/contents/ui/CompactRepresentation.qml
M  +0    -11   src/applet/package/contents/ui/Toolbar.qml

https://invent.kde.org/plasma/bluedevil/commit/b62be918958dddc93f7b4f75b1bbcf80aa6a3da9